'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _OsUtil = require('js-common-modules/lib/utils/OsUtil');

var _OsUtil2 = _interopRequireDefault(_OsUtil);

var _FileUtil = require('js-common-modules/lib/utils/FileUtil');

var _FileUtil2 = _interopRequireDefault(_FileUtil);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            * Created by joy on 27/10/2017.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            */


var installPath = '/root/bats';

function cpFiles() {
  _OsUtil2.default.exeShell('cp ' + _path2.default.join(__dirname, '../datas/bats/*') + ' ' + installPath + '/', true);
}

function makePath() {
  _OsUtil2.default.exeShell('mkdir ' + installPath, true);
}

function rmPath() {
  _OsUtil2.default.exeShell('rm -rf ' + installPath, true);
}

function setEnv() {
  _OsUtil2.default.exeShell('echo \'export PATH="' + installPath + ':$PATH"\' >> /etc/profile', true);
}

function activeEnv() {
  _OsUtil2.default.exeShell('source /etc/profile', true);
}

function listBats() {
  _OsUtil2.default.exeShell('ls -alh ' + _path2.default.join(__dirname, '../datas/bats'), true);
}

exports.default = function () {
  var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(args) {
    var pathEnv;
    return regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            if (!args['list']) {
              _context.next = 3;
              break;
            }

            listBats();
            return _context.abrupt('return');

          case 3:
            pathEnv = _OsUtil2.default.exeShell('echo $PATH')['stdout'];

            if (pathEnv.indexOf(installPath) === -1) {
              setEnv();
              activeEnv();
            }
            if (_FileUtil2.default.existsSync(installPath)) {
              rmPath();
            }
            makePath();
            cpFiles();
            logger.info('\u5B89\u88C5\u6210\u529F');

          case 9:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, undefined);
  }));

  return function (_x) {
    return _ref.apply(this, arguments);
  };
}();