'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _FileUtil = require('js-common-modules/lib/utils/FileUtil');

var _FileUtil2 = _interopRequireDefault(_FileUtil);

var _OsUtil = require('js-common-modules/lib/utils/OsUtil');

var _OsUtil2 = _interopRequireDefault(_OsUtil);

var _ErrorHelper = require('js-common-modules/lib/helpers/ErrorHelper');

var _ErrorHelper2 = _interopRequireDefault(_ErrorHelper);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            * Created by joy on 30/10/2017.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            */


exports.default = function () {
  var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(args) {
    var path_, type, extname;
    return regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            path_ = args['_'][1];
            type = args['type'];

            logger.error(type);
            extname = type || _FileUtil2.default.getExtName(path_, true);
            _context.t0 = extname;
            _context.next = _context.t0 === 'tar' ? 7 : _context.t0 === 'zip' ? 9 : _context.t0 === 'tar.gz' ? 11 : _context.t0 === 'tar.bz2' ? 13 : _context.t0 === 'rar' ? 15 : 17;
            break;

          case 7:
            _OsUtil2.default.exeShell('tar -xvf "' + path_ + '"', true);
            return _context.abrupt('break', 19);

          case 9:
            _OsUtil2.default.exeShell('unzip "' + path_ + '" -d .', true);
            return _context.abrupt('break', 19);

          case 11:
            _OsUtil2.default.exeShell('tar -zxvf "' + path_ + '"', true);
            return _context.abrupt('break', 19);

          case 13:
            _OsUtil2.default.exeShell('tar -jxvf "' + path_ + '"', true);
            return _context.abrupt('break', 19);

          case 15:
            _OsUtil2.default.exeShell('unrar x "' + path_ + '" .', true);
            return _context.abrupt('break', 19);

          case 17:
            throw new _ErrorHelper2.default('无法处理此后缀的文件', 0);

          case 19:
            logger.info('finished !!!');

          case 20:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, undefined);
  }));

  return function (_x) {
    return _ref.apply(this, arguments);
  };
}();