'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _OsUtil = require('js-common-modules/lib/utils/OsUtil');

var _OsUtil2 = _interopRequireDefault(_OsUtil);

var _ErrorHelper = require('js-common-modules/lib/helpers/ErrorHelper');

var _ErrorHelper2 = _interopRequireDefault(_ErrorHelper);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            * Created by root on 10/29/17.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            */

exports.default = function () {
	var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(args) {
		var daemon, name, screenName;
		return regeneratorRuntime.wrap(function _callee$(_context) {
			while (1) {
				switch (_context.prev = _context.next) {
					case 0:
						daemon = args.daemon, name = args.name, screenName = args.screenName;

						if (!(daemon === true)) {
							_context.next = 9;
							break;
						}

						if (!screenName) {
							_context.next = 6;
							break;
						}

						_OsUtil2.default.exeShell('screen -dmS ' + screenName + ' && screen -x -S ' + screenName + ' -p 0 -X stuff "' + name + '\n"', true);
						_context.next = 7;
						break;

					case 6:
						throw new _ErrorHelper2.default('缺少参数-s', 0);

					case 7:
						_context.next = 10;
						break;

					case 9:
						_OsUtil2.default.exeShell('' + name, true);

					case 10:
					case 'end':
						return _context.stop();
				}
			}
		}, _callee, undefined);
	}));

	return function (_x) {
		return _ref.apply(this, arguments);
	};
}();