'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _FileUtil = require('js-common-modules/lib/utils/FileUtil');

var _FileUtil2 = _interopRequireDefault(_FileUtil);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _ErrorHelper = require('js-common-modules/lib/helpers/ErrorHelper');

var _ErrorHelper2 = _interopRequireDefault(_ErrorHelper);

var _OsUtil = require('js-common-modules/lib/utils/OsUtil');

var _OsUtil2 = _interopRequireDefault(_OsUtil);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            * Created by joy on 30/10/2017.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            */


exports.default = function () {
  var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(args) {
    var path_, type, name;
    return regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            // logger.error(args)
            path_ = args['_'][1];
            type = args['type'];

            if (!_FileUtil2.default.isFile(path_)) {
              _context.next = 6;
              break;
            }

            throw new _ErrorHelper2.default('只能压缩目录', 0);

          case 6:
            name = _path2.default.basename(path_) + '.' + type;
            // logger.error(name)

            _context.t0 = type;
            _context.next = _context.t0 === 'tar' ? 10 : _context.t0 === 'zip' ? 12 : _context.t0 === 'tar.gz' ? 14 : _context.t0 === 'tar.bz2' ? 16 : _context.t0 === 'rar' ? 18 : 20;
            break;

          case 10:
            _OsUtil2.default.exeShell('tar -cvf "' + name + '" "' + path_ + '"', true);
            return _context.abrupt('break', 22);

          case 12:
            _OsUtil2.default.exeShell('zip -r "' + name + '" "' + path_ + '"', true);
            return _context.abrupt('break', 22);

          case 14:
            _OsUtil2.default.exeShell('tar -zcvf "' + name + '" "' + path_ + '"', true);
            return _context.abrupt('break', 22);

          case 16:
            _OsUtil2.default.exeShell('tar -jcvf "' + name + '" "' + path_ + '"', true);
            return _context.abrupt('break', 22);

          case 18:
            _OsUtil2.default.exeShell('rar -a "' + name + '" "' + path_ + '"', true);
            return _context.abrupt('break', 22);

          case 20:
            logger.error('type 不对');
            return _context.abrupt('break', 22);

          case 22:
            logger.info('finished !!!');

          case 23:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, undefined);
  }));

  return function (_x) {
    return _ref.apply(this, arguments);
  };
}();